Package net.rubygrapefruit.platform.internal

# Class NativeLibraryLoader

java.lang.Object
net.rubygrapefruit.platform.internal.NativeLibraryLoader

public class NativeLibraryLoader extends Object

## Constructor Summary

Constructors
Constructor
Description
`NativeLibraryLoader(Platform platform, NativeLibraryLocator nativeLibraryLocator)`

## Method Summary

Modifier and Type
Method
Description
`void`
`load(String libraryFileName, List<String> platforms)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NativeLibraryLoader

public NativeLibraryLoader(Platform platform, NativeLibraryLocator nativeLibraryLocator)

## Method Details

### load

public void load(String libraryFileName, List<String> platforms)